org.apache.lucene.index

## Class AlcoholicMergePolicy

- java.lang.Object
- - org.apache.lucene.index.MergePolicy
  - - org.apache.lucene.index.LogMergePolicy
    - - org.apache.lucene.index.AlcoholicMergePolicy

- All Implemented Interfaces:
    Closeable, AutoCloseable, Cloneable

      public class AlcoholicMergePolicy
      extends LogMergePolicy

  Merge policy for testing, it is like an alcoholic. It drinks (merges) at night, and randomly decides what to drink. During the daytime it sleeps.

  if tests pass with this, then they are likely to pass with any bizarro merge policy users might write.

  It is a fine bottle of champagne (Ordered by Martijn).

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.index.MergePolicy

      `MergePolicy.MergeAbortedException, MergePolicy.MergeException, MergePolicy.MergeSpecification, MergePolicy.MergeTrigger, MergePolicy.OneMerge`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.index.LogMergePolicy

      `calibrateSizeByDeletes, DEFAULT_MAX_CFS_SEGMENT_SIZE, DEFAULT_MAX_MERGE_DOCS, DEFAULT_MERGE_FACTOR, DEFAULT_NO_CFS_RATIO, LEVEL_LOG_SPAN, maxCFSSegmentSize, maxMergeDocs, maxMergeSize, maxMergeSizeForForcedMerge, mergeFactor, minMergeSize, noCFSRatio, useCompoundFile`

    - ### Fields inherited from class org.apache.lucene.index.MergePolicy

      `writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlcoholicMergePolicy(TimeZone tz, Random random)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected long` | `size(SegmentInfoPerCommit info)`

    - ### Methods inherited from class org.apache.lucene.index.LogMergePolicy

      `close, findForcedDeletesMerges, findForcedMerges, findMerges, getCalibrateSizeByDeletes, getMaxCFSSegmentSizeMB, getMaxMergeDocs, getMergeFactor, getNoCFSRatio, getUseCompoundFile, isMerged, isMerged, message, setCalibrateSizeByDeletes, setMaxCFSSegmentSizeMB, setMaxMergeDocs, setMergeFactor, setNoCFSRatio, setUseCompoundFile, sizeBytes, sizeDocs, toString, useCompoundFile, verbose`

    - ### Methods inherited from class org.apache.lucene.index.MergePolicy

      `clone, setIndexWriter`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AlcoholicMergePolicy

          public AlcoholicMergePolicy(TimeZone tz,
                              Random random)

  - ### Method Detail

    - #### size

          protected long size(SegmentInfoPerCommit info)
                       throws IOException

      Specified by:
        `size` in class `LogMergePolicy`
      Throws:
        `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.